%define major 2
%define libname %mklibname seccomp %{major}
%define develname %mklibname -d seccomp

Summary:	Enhanced seccomp library
Name:		libseccomp
Version:	2.2.0
Release:	1
ExclusiveArch:	%{ix86} x86_64
License:	LGPLv2
Group:		System/Libraries
Source0:	https://github.com/seccomp/%{name}/releases/download/v%{version}/%{name}-%{version}.tar.gz
URL:		https://github.com/seccomp/%{name}
Requires:	kernel >= 3.5

%description
The libseccomp library provides an easy to use, platform independent,
interface to the Linux Kernel's syscall filtering mechanism.
The libseccomp API is designed to abstract away the underlying BPF based
syscall filter language and present a more conventional function-call based
filtering interface that should be familiar to, and easily adopted by,
application developers.

%package	utils
Summary:	scmp_sys_resolver - A tool to resolve system calls
Group:          System/Libraries

%description	utils
The scmp_sys_resolver utility resolves both system call names and numbers
with respect to the given architecture.

%package -n     %{libname}
Summary:        Collection library providing GObject-based interfaces and classes
Group:          System/Libraries

%description -n %{libname}
The libseccomp library provides an easy to use, platform independent,
interface to the Linux Kernel's syscall filtering mechanism.
The libseccomp API is designed to abstract away the underlying BPF based
syscall filter language and present a more conventional function-call based
filtering interface that should be familiar to, and easily adopted by,
application developers.

%package -n	%{develname}
Summary:	Development files used to build applications with libseccomp support
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	seccomp-devel = %{version}-%{release}

%description -n	%{develname}
The libseccomp library provides an easy to use, platform independent,
interface to the Linux Kernel's syscall filtering mechanism.
The libseccomp API is designed to abstract away the underlying BPF based
syscall filter language and present a more conventional function-call based
filtering interface that should be familiar to, and easily adopted by,
application developers.

%prep
%setup -q

%build
%configure2_5x
%make

%install
mkdir -p "%{buildroot}/%{_libdir}"
mkdir -p "%{buildroot}/%{_includedir}"
mkdir -p "%{buildroot}/%{_mandir}"
%makeinstall_std

rm -vf "%{buildroot}/%{_libdir}/libseccomp.a"

%files	utils
%{_bindir}/scmp_sys_resolver
%{_mandir}/man1/scmp_sys_resolver.1.xz

%files -n %{libname}
%{_libdir}/libseccomp.so.*

%files -n %{develname}
%doc LICENSE CREDITS README
%{_includedir}/seccomp.h
%{_libdir}/libseccomp.so
%{_libdir}/pkgconfig/libseccomp.pc
%{_mandir}/man3/*

%changelog

* Thu Apr 09 2015 Alexey Ivanov <a.ivanov@ntcit-rosa.ru> 2.2.0-1
- (0955fff) Upgrade version to 2.2.0


